Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::LocateRequest_Invocation Class Reference

Object created bu TAO::LocateRequest_Invocation_Adapter to create and send LocateRequest invocation. More...

`#include <LocateRequest_Invocation.h>`

Inheritance diagram for TAO::LocateRequest_Invocation:

[legend]
Collaboration diagram for TAO::LocateRequest_Invocation:

[legend]
List of all members.

## Public Methods
| LocateRequest_Invocation (CORBA::Object_ptr otarget, Profile_Transport_Resolver &resolver, TAO_Operation_Details &detail)
Invocation_Status | invoke (ACE_Time_Value *max_wait_time ACE_ENV_ARG_DECL) throw (CORBA::Exception)
| Start the invocation.
## Private Methods
Invocation_Status | check_reply (TAO_Synch_Reply_Dispatcher &rd ACE_ENV_ARG_DECL)
| Helper to check the reply status.

## Detailed Description

Object created bu TAO::LocateRequest_Invocation_Adapter to create and send LocateRequest invocation.

## Constructor & Destructor Documentation

TAO::LocateRequest_Invocation::LocateRequest_Invocation | ( | CORBA::Object_ptr | otarget,
|  | Profile_Transport_Resolver & | resolver,
|  | TAO_Operation_Details & | detail
| ) |

  | Parameters:
  target, The | target on which this invocation was started.
  resolver, Comntainer | of the profile and transport on which this invocation is on
  detail, Operation | details of the invocation on target. This is of no practical importance since it is not used in this class. This is just to keep our base class happy.

## Member Function Documentation

Invocation_Status TAO::LocateRequest_Invocation::check_reply | ( | TAO_Synch_Reply_Dispatcher &rd | ACE_ENV_ARG_DECL | ) | `[private]`

| Helper to check the reply status.

Invocation_Status TAO::LocateRequest_Invocation::invoke | ( | ACE_Time_Value *max_wait_time | ACE_ENV_ARG_DECL | ) | throw (CORBA::Exception)

| Start the invocation.

The documentation for this class was generated from the following files:

- LocateRequest_Invocation.h
- LocateRequest_Invocation.cpp